Bug 16723 - unsafe bash expression
: unsafe bash expression
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sound-scripts)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-08-18 13:19 by
Modified: 2008-09-29 17:07 (History)


Attachments
sound-scripts-0.51-correct-bash.patch (737 bytes, patch)
2008-08-18 13:19, Ivan Zakharyaschev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-08-18 13:19:09
Created an attachment (id=2790) [details]
sound-scripts-0.51-correct-bash.patch

sound-scripts 20070530:0.51-alt1

The attached patch makes the script better; this way it is more correct (e.g.,
in case of special chars in the pathname) and hence works more predictable in
strange situations.

(I stumbled upon this problem when trying to "source" the script from another
bash.)
------- Comment #1 From 2008-08-18 14:14:11 -------
reassign
------- Comment #2 From 2008-09-22 22:08:35 -------
applied to 0.52-alt1, thanks